<?php
/***************************************************************************
 *   Copyright (C) 2008 by oscim   Project lossim                          *
 *   a@oscim.fr                                                            *
 *       [created : 07.03.2008, 13:00:11] @oscim                           *
 ***************************************************************************/
header('Cache-Control: store,cacheable');
header('Cache-Control: post-check=0, pre-check=0', true);
ob_start();
include "include/NewFct.inc";
require("sys_conf_setup.php");
require("../lib_partage/class.configfile.php");
include ("include/french.php");
include ("include/lib.general.php");
$dest=destination ('');
$aff='';
include ("include/_top.php");
define ('BOUTON',"<input type='submit' name='boutton' value='".VALIDER."'><a href='javascript:history.back()' >".RETOUR."</a>");
eregi(".*[(]([a-z]*)[)].*PHP/([0-9.-]*)",$_SERVER['SERVER_SOFTWARE'],$result);
echo "</head>\n<body>\n";
//  umask(mask&0777);


if (eregi("Win32", $_SERVER['SERVER_SOFTWARE'] )) {
	define ('OS_DU_SERVEUR', "windows");
	define ('PHP', eregi_replace(".*php/","",$_SERVER['SERVER_SOFTWARE']));
}
else {
	define ('OS_DU_SERVEUR', "linux");
	define ('PHP', $result[2]);
}

if ((!isset($_GET['etape'] ))AND (isset($HTTP_GET_VARS['etape'])) )$_GET['etape'] =$_HTTP_GET_VARS['etape'];
else if(!isset($_GET['etape'] )) $_GET['etape']='';



if ($_GET['etape'] =="") include ("content/etape1.php");
elseif ($_GET['etape'] =="2") include ("content/etape2.php");
elseif ($_GET['etape'] =="3") {

	if ($_POST['type_install'] =="base")  include ("content/etape_base.php");
	elseif ($_POST['type_install'] =="user")  include ("content/etape_users.php");
	elseif ($_POST['type_install'] =="data")  include ("content/etape_data.php");
	elseif ($_POST['type_install'] =="mod")  include ("content/etape_mods.php");

}elseif ($_GET['etape'] =="4") {

	if ($_POST['type_install'] =="base")  include ("content/install_base.php");
	elseif ($_POST['type_install'] =="user")  include ("content/install_users.php");
	elseif ($_POST['type_install'] =="data")  include ("content/install_data.php");
	elseif ($_POST['type_install'] =="mod")  include ("content/install_mods.php");
}
// elseif ($_GET['etape'] =="5") include ("content/success.php");

?>
</div>
<div id='footer'></div>
</div>
<?php ob_end_flush(); ?>
